org.jfree.report.data

## Class FastGlobalView

- java.lang.Object
- - org.jfree.report.data.FastGlobalView

- All Implemented Interfaces:
    DataRow, DataSet

      public final class FastGlobalView
      extends java.lang.Object
      implements DataRow

  Creation-Date: 10.08.2007, 14:07:32
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastGlobalView()`
    `FastGlobalView(FastGlobalView parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FastGlobalView` | `advance()`
    `FastGlobalView` | `derive()`
    `int` | `findColumn(java.lang.String name)`
    `java.lang.Object` | `get(int col)` Returns the value of the expression or column in the tablemodel using the given column number as index.
    `java.lang.Object` | `get(java.lang.String col)` Returns the value of the function, expression or column using its specific name.
    `int` | `getColumnCount()` Returns the number of columns, expressions and functions and marked ReportProperties in the report.
    `java.lang.String` | `getColumnName(int col)` Returns the name of the column, expression or function.
    `DataFlags` | `getFlags(int col)` Queries lowlevel meta-data for the current value of the specified column.
    `DataFlags` | `getFlags(java.lang.String col)` Queries lowlevel meta-data for the current value of the specified column.
    `void` | `putField(java.lang.String name, java.lang.Object value, boolean update)`
    `void` | `removeColumn(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastGlobalView

          public FastGlobalView(FastGlobalView parent)

    - #### FastGlobalView

          public FastGlobalView()

  - ### Method Detail

    - #### get

          public java.lang.Object get(int col)
                               throws DataSourceException

      Description copied from interface: `DataRow`
      Returns the value of the expression or column in the tablemodel using the given column number as index. For functions and expressions, the `getValue()` method is called and for columns from the tablemodel the tablemodel method `getValueAt(row, column)` gets called.
      Specified by:
        `get` in interface `DataRow`
      Specified by:
        `get` in interface `DataSet`
      Parameters:
        `col` - the item index.
      Returns:
        the value.
      Throws:
        `DataSourceException` - if an error occured.

    - #### get

          public java.lang.Object get(java.lang.String col)
                               throws DataSourceException

      Description copied from interface: `DataRow`
      Returns the value of the function, expression or column using its specific name. The given name is translated into a valid column number and the the column is queried. For functions and expressions, the `getValue()` method is called and for columns from the tablemodel the tablemodel method `getValueAt(row, column)` gets called.
      Specified by:
        `get` in interface `DataRow`
      Parameters:
        `col` - the item index.
      Returns:
        the value.
      Throws:
        `DataSourceException` - if an error occured.

    - #### getColumnName

          public java.lang.String getColumnName(int col)

      Description copied from interface: `DataRow`
      Returns the name of the column, expression or function. For columns from the tablemodel, the tablemodels `getColumnName` method is called. For functions, expressions and report properties the assigned name is returned.
      Specified by:
        `getColumnName` in interface `DataRow`
      Specified by:
        `getColumnName` in interface `DataSet`
      Parameters:
        `col` - the item index.
      Returns:
        the name.

    - #### findColumn

          public int findColumn(java.lang.String name)

    - #### getColumnCount

          public int getColumnCount()

      Description copied from interface: `DataRow`
      Returns the number of columns, expressions and functions and marked ReportProperties in the report.
      Specified by:
        `getColumnCount` in interface `DataRow`
      Specified by:
        `getColumnCount` in interface `DataSet`
      Returns:
        the item count.

    - #### derive

          public FastGlobalView derive()

    - #### advance

          public FastGlobalView advance()

    - #### removeColumn

          public void removeColumn(java.lang.String name)

    - #### putField

          public void putField(java.lang.String name,
                               java.lang.Object value,
                               boolean update)

    - #### getFlags

          public DataFlags getFlags(java.lang.String col)
                             throws DataSourceException

      Description copied from interface: `DataRow`
      Queries lowlevel meta-data for the current value of the specified column.
      Specified by:
        `getFlags` in interface `DataRow`
      Parameters:
        `col` - the colum for which to query the meta-data flags
      Returns:
        the dataflag collection for the value in the named column
      Throws:
        `DataSourceException` - if an error occured.

    - #### getFlags

          public DataFlags getFlags(int col)
                             throws DataSourceException

      Description copied from interface: `DataRow`
      Queries lowlevel meta-data for the current value of the specified column.
      Specified by:
        `getFlags` in interface `DataRow`
      Parameters:
        `col` - the colum for which to query the meta-data flags
      Returns:
        the dataflag collection for the value in the specified column
      Throws:
        `DataSourceException` - if an error occured.